Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerNavigationInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerNavigationInfo

All Implemented Interfaces:
  NavigationInfo

    public class ContainerNavigationInfo

extends java.lang.Object
implements NavigationInfo

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ContainerNavigationInfo()`

Method Summary
`void` | `addPublicParameter(ContainerParameterInfo publicParameter)`
`ParameterInfo` | `getPublicParameter(javax.xml.namespace.QName name)` Returns a public parameter by using its name or null if it does not exist.
`ContainerParameterInfo` | `getPublicParameter(java.lang.String id)` Returns a public parameter by using its id or null if it does not exist.
`java.util.Collection<ContainerParameterInfo>` | `getPublicParameters()` Returns the collection of known public parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerNavigationInfo

    public ContainerNavigationInfo()

Method Detail

### addPublicParameter

    public void addPublicParameter(ContainerParameterInfo publicParameter)

### getPublicParameter

    public ParameterInfo getPublicParameter(javax.xml.namespace.QName name)

  Description copied from interface: `NavigationInfo`
  Returns a public parameter by using its name or null if it does not exist.

  Specified by:
    `getPublicParameter` in interface `NavigationInfo`
  Parameters:
    `name` - the parameter name
  Returns:
    the parameter info object

### getPublicParameter

    public ContainerParameterInfo getPublicParameter(java.lang.String id)

  Description copied from interface: `NavigationInfo`
  Returns a public parameter by using its id or null if it does not exist.

  Specified by:
    `getPublicParameter` in interface `NavigationInfo`
  Parameters:
    `id` - the parameter id
  Returns:
    the parameter info object

### getPublicParameters

    public java.util.Collection<ContainerParameterInfo> getPublicParameters()

  Description copied from interface: `NavigationInfo`
  Returns the collection of known public parameters.

  Specified by:
    `getPublicParameters` in interface `NavigationInfo`
  Returns:
    the public parameter collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.